package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class AssociatedSystemCapabilities {
    private String schemaVersion;
    private Metadata metadata;
    private String activeLogicalPartitionMobilityCapable;
    private String activeLogicalPartitionSharedIdeProcessorsCapable;
    private String activeMemoryDeduplicationCapable;
    private String activeMemoryExpansionCapable;
    private String activeMemoryMirroringCapable;
    private String activeMemorySharingCapable;
    private String activeSystemOptimizerCapable;
    private String addressBroadcastPolicyCapable;
    private String aIXCapable;
    private String autorecoveryPowerOnCapable;
    private String barrierSynchronizationRegisterCapable;
    private String capacityOnDemandMemoryCapable;
    private String capacityOnDemandProcessorCapable;
    private String customLogicalPartitionPlacementCapable;
    private String electronicErrorReportingCapable;
    private String externalIntrusionDetectionCapable;
    private String firmwarePowerSaverCapable;
    private String hardwareDiscoveryCapable;
    private String hardwareMemoryCompressionCapable;
    private String hardwareMemoryEncryptionCapable;
    private String hardwarePowerSaverCapable;
    private String hostChannelAdapterCapable;
    private String hugePageMemoryCapable;
    private String hugePageMemoryOverrideCapable;
    private String iBMiCapable;
    private String iBMiLogicalPartitionMobilityCapable;
    private String iBMiLogicalPartitionSuspendCapable;
    private String iBMiNetworkInstallCapable;
    private String iBMiRestrictedIOModeCapable;
    private String inactiveLogicalPartitionMobilityCapable;
    private String intelligentPlatformManagementInterfaceCapable;
    private String linuxCapable;
    private String logicalHostEthernetAdapterCapable;
    private String logicalPartitionAffinityGroupCapable;
    private String logicalPartitionAvailabilityPriorityCapable;
    private String logicalPartitionEnergyManagementCapable;
    private String logicalPartitionProcessorCompatibilityModeCapable;
    private String logicalPartitionRemoteRestartCapable;
    private String logicalPartitionSuspendCapable;
    private String memoryMirroringCapable;
    private String microLogicalPartitionCapable;
    private PowerVMLogicalPartitionSimplifiedRemoteRestartCapable powerVMLogicalPartitionSimplifiedRemoteRestartCapable;
    private String redundantErrorPathReportingCapable;
    private String remoteRestartToggleCapable;
    private String serviceProcessorConcurrentMaintenanceCapable;
    private String serviceProcessorFailoverCapable;
    private String sharedEthernetFailoverCapable;
    private String sharedProcessorPoolCapable;
    private String sRIOVCapable;
    private String switchNetworkInterfaceMessagePassingCapable;
    private String telnet5250ApplicationCapable;
    private String turboCoreCapable;
    private String virtualEthernetAdapterDynamicLogicalPartitionCapable;
    private String virtualEthernetQualityOfServiceCapable;
    private String virtualFiberChannelCapable;
    private String virtualIOServerCapable;
    private String virtualizationEngineTechnologiesActivationCapable;
    private String virtualServerNetworkingPhase2Capable;
    private String virtualSwitchCapable;
    private String virtualTrustedPlatformModuleCapable;
    private String vLANStatisticsCapable;
    private String virtualEthernetCustomMACAddressCapable;
    private String managementVLANForControlChannelCapable;

    public AssociatedSystemCapabilities() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getActiveLogicalPartitionMobilityCapable() {
        return activeLogicalPartitionMobilityCapable;
    }

    public void setActiveLogicalPartitionMobilityCapable(String activeLogicalPartitionMobilityCapable) {
        this.activeLogicalPartitionMobilityCapable = activeLogicalPartitionMobilityCapable;
    }

    public String getActiveLogicalPartitionSharedIdeProcessorsCapable() {
        return activeLogicalPartitionSharedIdeProcessorsCapable;
    }

    public void setActiveLogicalPartitionSharedIdeProcessorsCapable(
        String activeLogicalPartitionSharedIdeProcessorsCapable) {
        this.activeLogicalPartitionSharedIdeProcessorsCapable = activeLogicalPartitionSharedIdeProcessorsCapable;
    }

    public String getActiveMemoryDeduplicationCapable() {
        return activeMemoryDeduplicationCapable;
    }

    public void setActiveMemoryDeduplicationCapable(String activeMemoryDeduplicationCapable) {
        this.activeMemoryDeduplicationCapable = activeMemoryDeduplicationCapable;
    }

    public String getActiveMemoryExpansionCapable() {
        return activeMemoryExpansionCapable;
    }

    public void setActiveMemoryExpansionCapable(String activeMemoryExpansionCapable) {
        this.activeMemoryExpansionCapable = activeMemoryExpansionCapable;
    }

    public String getActiveMemoryMirroringCapable() {
        return activeMemoryMirroringCapable;
    }

    public void setActiveMemoryMirroringCapable(String activeMemoryMirroringCapable) {
        this.activeMemoryMirroringCapable = activeMemoryMirroringCapable;
    }

    public String getActiveMemorySharingCapable() {
        return activeMemorySharingCapable;
    }

    public void setActiveMemorySharingCapable(String activeMemorySharingCapable) {
        this.activeMemorySharingCapable = activeMemorySharingCapable;
    }

    public String getActiveSystemOptimizerCapable() {
        return activeSystemOptimizerCapable;
    }

    public void setActiveSystemOptimizerCapable(String activeSystemOptimizerCapable) {
        this.activeSystemOptimizerCapable = activeSystemOptimizerCapable;
    }

    public String getAddressBroadcastPolicyCapable() {
        return addressBroadcastPolicyCapable;
    }

    public void setAddressBroadcastPolicyCapable(String addressBroadcastPolicyCapable) {
        this.addressBroadcastPolicyCapable = addressBroadcastPolicyCapable;
    }

    public String getAIXCapable() {
        return aIXCapable;
    }

    public void setAIXCapable(String aIXCapable) {
        this.aIXCapable = aIXCapable;
    }

    public String getAutorecoveryPowerOnCapable() {
        return autorecoveryPowerOnCapable;
    }

    public void setAutorecoveryPowerOnCapable(String autorecoveryPowerOnCapable) {
        this.autorecoveryPowerOnCapable = autorecoveryPowerOnCapable;
    }

    public String getBarrierSynchronizationRegisterCapable() {
        return barrierSynchronizationRegisterCapable;
    }

    public void setBarrierSynchronizationRegisterCapable(String barrierSynchronizationRegisterCapable) {
        this.barrierSynchronizationRegisterCapable = barrierSynchronizationRegisterCapable;
    }

    public String getCapacityOnDemandMemoryCapable() {
        return capacityOnDemandMemoryCapable;
    }

    public void setCapacityOnDemandMemoryCapable(String capacityOnDemandMemoryCapable) {
        this.capacityOnDemandMemoryCapable = capacityOnDemandMemoryCapable;
    }

    public String getCapacityOnDemandProcessorCapable() {
        return capacityOnDemandProcessorCapable;
    }

    public void setCapacityOnDemandProcessorCapable(String capacityOnDemandProcessorCapable) {
        this.capacityOnDemandProcessorCapable = capacityOnDemandProcessorCapable;
    }

    public String getCustomLogicalPartitionPlacementCapable() {
        return customLogicalPartitionPlacementCapable;
    }

    public void setCustomLogicalPartitionPlacementCapable(String customLogicalPartitionPlacementCapable) {
        this.customLogicalPartitionPlacementCapable = customLogicalPartitionPlacementCapable;
    }

    public String getElectronicErrorReportingCapable() {
        return electronicErrorReportingCapable;
    }

    public void setElectronicErrorReportingCapable(String electronicErrorReportingCapable) {
        this.electronicErrorReportingCapable = electronicErrorReportingCapable;
    }

    public String getExternalIntrusionDetectionCapable() {
        return externalIntrusionDetectionCapable;
    }

    public void setExternalIntrusionDetectionCapable(String externalIntrusionDetectionCapable) {
        this.externalIntrusionDetectionCapable = externalIntrusionDetectionCapable;
    }

    public String getFirmwarePowerSaverCapable() {
        return firmwarePowerSaverCapable;
    }

    public void setFirmwarePowerSaverCapable(String firmwarePowerSaverCapable) {
        this.firmwarePowerSaverCapable = firmwarePowerSaverCapable;
    }

    public String getHardwareDiscoveryCapable() {
        return hardwareDiscoveryCapable;
    }

    public void setHardwareDiscoveryCapable(String hardwareDiscoveryCapable) {
        this.hardwareDiscoveryCapable = hardwareDiscoveryCapable;
    }

    public String getHardwareMemoryCompressionCapable() {
        return hardwareMemoryCompressionCapable;
    }

    public void setHardwareMemoryCompressionCapable(String hardwareMemoryCompressionCapable) {
        this.hardwareMemoryCompressionCapable = hardwareMemoryCompressionCapable;
    }

    public String getHardwareMemoryEncryptionCapable() {
        return hardwareMemoryEncryptionCapable;
    }

    public void setHardwareMemoryEncryptionCapable(String hardwareMemoryEncryptionCapable) {
        this.hardwareMemoryEncryptionCapable = hardwareMemoryEncryptionCapable;
    }

    public String getHardwarePowerSaverCapable() {
        return hardwarePowerSaverCapable;
    }

    public void setHardwarePowerSaverCapable(String hardwarePowerSaverCapable) {
        this.hardwarePowerSaverCapable = hardwarePowerSaverCapable;
    }

    public String getHostChannelAdapterCapable() {
        return hostChannelAdapterCapable;
    }

    public void setHostChannelAdapterCapable(String hostChannelAdapterCapable) {
        this.hostChannelAdapterCapable = hostChannelAdapterCapable;
    }

    public String getHugePageMemoryCapable() {
        return hugePageMemoryCapable;
    }

    public void setHugePageMemoryCapable(String hugePageMemoryCapable) {
        this.hugePageMemoryCapable = hugePageMemoryCapable;
    }

    public String getHugePageMemoryOverrideCapable() {
        return hugePageMemoryOverrideCapable;
    }

    public void setHugePageMemoryOverrideCapable(String hugePageMemoryOverrideCapable) {
        this.hugePageMemoryOverrideCapable = hugePageMemoryOverrideCapable;
    }

    public String getIBMiCapable() {
        return iBMiCapable;
    }

    public void setIBMiCapable(String iBMiCapable) {
        this.iBMiCapable = iBMiCapable;
    }

    public String getIBMiLogicalPartitionMobilityCapable() {
        return iBMiLogicalPartitionMobilityCapable;
    }

    public void setIBMiLogicalPartitionMobilityCapable(String iBMiLogicalPartitionMobilityCapable) {
        this.iBMiLogicalPartitionMobilityCapable = iBMiLogicalPartitionMobilityCapable;
    }

    public String getIBMiLogicalPartitionSuspendCapable() {
        return iBMiLogicalPartitionSuspendCapable;
    }

    public void setIBMiLogicalPartitionSuspendCapable(String iBMiLogicalPartitionSuspendCapable) {
        this.iBMiLogicalPartitionSuspendCapable = iBMiLogicalPartitionSuspendCapable;
    }

    public String getIBMiNetworkInstallCapable() {
        return iBMiNetworkInstallCapable;
    }

    public void setIBMiNetworkInstallCapable(String iBMiNetworkInstallCapable) {
        this.iBMiNetworkInstallCapable = iBMiNetworkInstallCapable;
    }

    public String getIBMiRestrictedIOModeCapable() {
        return iBMiRestrictedIOModeCapable;
    }

    public void setIBMiRestrictedIOModeCapable(String iBMiRestrictedIOModeCapable) {
        this.iBMiRestrictedIOModeCapable = iBMiRestrictedIOModeCapable;
    }

    public String getInactiveLogicalPartitionMobilityCapable() {
        return inactiveLogicalPartitionMobilityCapable;
    }

    public void setInactiveLogicalPartitionMobilityCapable(String inactiveLogicalPartitionMobilityCapable) {
        this.inactiveLogicalPartitionMobilityCapable = inactiveLogicalPartitionMobilityCapable;
    }

    public String getIntelligentPlatformManagementInterfaceCapable() {
        return intelligentPlatformManagementInterfaceCapable;
    }

    public void setIntelligentPlatformManagementInterfaceCapable(String intelligentPlatformManagementInterfaceCapable) {
        this.intelligentPlatformManagementInterfaceCapable = intelligentPlatformManagementInterfaceCapable;
    }

    public String getLinuxCapable() {
        return linuxCapable;
    }

    public void setLinuxCapable(String linuxCapable) {
        this.linuxCapable = linuxCapable;
    }

    public String getLogicalHostEthernetAdapterCapable() {
        return logicalHostEthernetAdapterCapable;
    }

    public void setLogicalHostEthernetAdapterCapable(String logicalHostEthernetAdapterCapable) {
        this.logicalHostEthernetAdapterCapable = logicalHostEthernetAdapterCapable;
    }

    public String getLogicalPartitionAffinityGroupCapable() {
        return logicalPartitionAffinityGroupCapable;
    }

    public void setLogicalPartitionAffinityGroupCapable(String logicalPartitionAffinityGroupCapable) {
        this.logicalPartitionAffinityGroupCapable = logicalPartitionAffinityGroupCapable;
    }

    public String getLogicalPartitionAvailabilityPriorityCapable() {
        return logicalPartitionAvailabilityPriorityCapable;
    }

    public void setLogicalPartitionAvailabilityPriorityCapable(String logicalPartitionAvailabilityPriorityCapable) {
        this.logicalPartitionAvailabilityPriorityCapable = logicalPartitionAvailabilityPriorityCapable;
    }

    public String getLogicalPartitionEnergyManagementCapable() {
        return logicalPartitionEnergyManagementCapable;
    }

    public void setLogicalPartitionEnergyManagementCapable(String logicalPartitionEnergyManagementCapable) {
        this.logicalPartitionEnergyManagementCapable = logicalPartitionEnergyManagementCapable;
    }

    public String getLogicalPartitionProcessorCompatibilityModeCapable() {
        return logicalPartitionProcessorCompatibilityModeCapable;
    }

    public void setLogicalPartitionProcessorCompatibilityModeCapable(
        String logicalPartitionProcessorCompatibilityModeCapable) {
        this.logicalPartitionProcessorCompatibilityModeCapable = logicalPartitionProcessorCompatibilityModeCapable;
    }

    public String getLogicalPartitionRemoteRestartCapable() {
        return logicalPartitionRemoteRestartCapable;
    }

    public void setLogicalPartitionRemoteRestartCapable(String logicalPartitionRemoteRestartCapable) {
        this.logicalPartitionRemoteRestartCapable = logicalPartitionRemoteRestartCapable;
    }

    public String getLogicalPartitionSuspendCapable() {
        return logicalPartitionSuspendCapable;
    }

    public void setLogicalPartitionSuspendCapable(String logicalPartitionSuspendCapable) {
        this.logicalPartitionSuspendCapable = logicalPartitionSuspendCapable;
    }

    public String getMemoryMirroringCapable() {
        return memoryMirroringCapable;
    }

    public void setMemoryMirroringCapable(String memoryMirroringCapable) {
        this.memoryMirroringCapable = memoryMirroringCapable;
    }

    public String getMicroLogicalPartitionCapable() {
        return microLogicalPartitionCapable;
    }

    public void setMicroLogicalPartitionCapable(String microLogicalPartitionCapable) {
        this.microLogicalPartitionCapable = microLogicalPartitionCapable;
    }

    public PowerVMLogicalPartitionSimplifiedRemoteRestartCapable getPowerVMLogicalPartitionSimplifiedRemoteRestartCapable() {
        return powerVMLogicalPartitionSimplifiedRemoteRestartCapable;
    }

    public void setPowerVMLogicalPartitionSimplifiedRemoteRestartCapable(
        PowerVMLogicalPartitionSimplifiedRemoteRestartCapable powerVMLogicalPartitionSimplifiedRemoteRestartCapable) {
        this.powerVMLogicalPartitionSimplifiedRemoteRestartCapable = powerVMLogicalPartitionSimplifiedRemoteRestartCapable;
    }

    public String getRedundantErrorPathReportingCapable() {
        return redundantErrorPathReportingCapable;
    }

    public void setRedundantErrorPathReportingCapable(String redundantErrorPathReportingCapable) {
        this.redundantErrorPathReportingCapable = redundantErrorPathReportingCapable;
    }

    public String getRemoteRestartToggleCapable() {
        return remoteRestartToggleCapable;
    }

    public void setRemoteRestartToggleCapable(String remoteRestartToggleCapable) {
        this.remoteRestartToggleCapable = remoteRestartToggleCapable;
    }

    public String getServiceProcessorConcurrentMaintenanceCapable() {
        return serviceProcessorConcurrentMaintenanceCapable;
    }

    public void setServiceProcessorConcurrentMaintenanceCapable(String serviceProcessorConcurrentMaintenanceCapable) {
        this.serviceProcessorConcurrentMaintenanceCapable = serviceProcessorConcurrentMaintenanceCapable;
    }

    public String getServiceProcessorFailoverCapable() {
        return serviceProcessorFailoverCapable;
    }

    public void setServiceProcessorFailoverCapable(String serviceProcessorFailoverCapable) {
        this.serviceProcessorFailoverCapable = serviceProcessorFailoverCapable;
    }

    public String getSharedEthernetFailoverCapable() {
        return sharedEthernetFailoverCapable;
    }

    public void setSharedEthernetFailoverCapable(String sharedEthernetFailoverCapable) {
        this.sharedEthernetFailoverCapable = sharedEthernetFailoverCapable;
    }

    public String getSharedProcessorPoolCapable() {
        return sharedProcessorPoolCapable;
    }

    public void setSharedProcessorPoolCapable(String sharedProcessorPoolCapable) {
        this.sharedProcessorPoolCapable = sharedProcessorPoolCapable;
    }

    public String getSRIOVCapable() {
        return sRIOVCapable;
    }

    public void setSRIOVCapable(String sRIOVCapable) {
        this.sRIOVCapable = sRIOVCapable;
    }

    public String getSwitchNetworkInterfaceMessagePassingCapable() {
        return switchNetworkInterfaceMessagePassingCapable;
    }

    public void setSwitchNetworkInterfaceMessagePassingCapable(String switchNetworkInterfaceMessagePassingCapable) {
        this.switchNetworkInterfaceMessagePassingCapable = switchNetworkInterfaceMessagePassingCapable;
    }

    public String getTelnet5250ApplicationCapable() {
        return telnet5250ApplicationCapable;
    }

    public void setTelnet5250ApplicationCapable(String telnet5250ApplicationCapable) {
        this.telnet5250ApplicationCapable = telnet5250ApplicationCapable;
    }

    public String getTurboCoreCapable() {
        return turboCoreCapable;
    }

    public void setTurboCoreCapable(String turboCoreCapable) {
        this.turboCoreCapable = turboCoreCapable;
    }

    public String getVirtualEthernetAdapterDynamicLogicalPartitionCapable() {
        return virtualEthernetAdapterDynamicLogicalPartitionCapable;
    }

    public void setVirtualEthernetAdapterDynamicLogicalPartitionCapable(
        String virtualEthernetAdapterDynamicLogicalPartitionCapable) {
        this.virtualEthernetAdapterDynamicLogicalPartitionCapable = virtualEthernetAdapterDynamicLogicalPartitionCapable;
    }

    public String getVirtualEthernetQualityOfServiceCapable() {
        return virtualEthernetQualityOfServiceCapable;
    }

    public void setVirtualEthernetQualityOfServiceCapable(String virtualEthernetQualityOfServiceCapable) {
        this.virtualEthernetQualityOfServiceCapable = virtualEthernetQualityOfServiceCapable;
    }

    public String getVirtualFiberChannelCapable() {
        return virtualFiberChannelCapable;
    }

    public void setVirtualFiberChannelCapable(String virtualFiberChannelCapable) {
        this.virtualFiberChannelCapable = virtualFiberChannelCapable;
    }

    public String getVirtualIOServerCapable() {
        return virtualIOServerCapable;
    }

    public void setVirtualIOServerCapable(String virtualIOServerCapable) {
        this.virtualIOServerCapable = virtualIOServerCapable;
    }

    public String getVirtualizationEngineTechnologiesActivationCapable() {
        return virtualizationEngineTechnologiesActivationCapable;
    }

    public void setVirtualizationEngineTechnologiesActivationCapable(
        String virtualizationEngineTechnologiesActivationCapable) {
        this.virtualizationEngineTechnologiesActivationCapable = virtualizationEngineTechnologiesActivationCapable;
    }

    public String getVirtualServerNetworkingPhase2Capable() {
        return virtualServerNetworkingPhase2Capable;
    }

    public void setVirtualServerNetworkingPhase2Capable(String virtualServerNetworkingPhase2Capable) {
        this.virtualServerNetworkingPhase2Capable = virtualServerNetworkingPhase2Capable;
    }

    public String getVirtualSwitchCapable() {
        return virtualSwitchCapable;
    }

    public void setVirtualSwitchCapable(String virtualSwitchCapable) {
        this.virtualSwitchCapable = virtualSwitchCapable;
    }

    public String getVirtualTrustedPlatformModuleCapable() {
        return virtualTrustedPlatformModuleCapable;
    }

    public void setVirtualTrustedPlatformModuleCapable(String virtualTrustedPlatformModuleCapable) {
        this.virtualTrustedPlatformModuleCapable = virtualTrustedPlatformModuleCapable;
    }

    public String getVLANStatisticsCapable() {
        return vLANStatisticsCapable;
    }

    public void setVLANStatisticsCapable(String vLANStatisticsCapable) {
        this.vLANStatisticsCapable = vLANStatisticsCapable;
    }

    public String getVirtualEthernetCustomMACAddressCapable() {
        return virtualEthernetCustomMACAddressCapable;
    }

    public void setVirtualEthernetCustomMACAddressCapable(String virtualEthernetCustomMACAddressCapable) {
        this.virtualEthernetCustomMACAddressCapable = virtualEthernetCustomMACAddressCapable;
    }

    public String getManagementVLANForControlChannelCapable() {
        return managementVLANForControlChannelCapable;
    }

    public void setManagementVLANForControlChannelCapable(String managementVLANForControlChannelCapable) {
        this.managementVLANForControlChannelCapable = managementVLANForControlChannelCapable;
    }

    @Override
    public String toString() {
        return "AssociatedSystemCapabilities [metadata" + metadata + ", activeLogicalPartitionMobilityCapable="
            + activeLogicalPartitionMobilityCapable + ", activeLogicalPartitionSharedIdeProcessorsCapable="
            + activeLogicalPartitionSharedIdeProcessorsCapable + ", activeMemoryDeduplicationCapable="
            + activeMemoryDeduplicationCapable + ", activeMemoryExpansionCapable=" + activeMemoryExpansionCapable
            + ", activeMemoryMirroringCapable=" + activeMemoryMirroringCapable + ", activeMemorySharingCapable="
            + activeMemorySharingCapable + ", activeSystemOptimizerCapable=" + activeSystemOptimizerCapable
            + ", addressBroadcastPolicyCapable=" + addressBroadcastPolicyCapable + ", aIXCapable=" + aIXCapable
            + ", autorecoveryPowerOnCapable=" + autorecoveryPowerOnCapable
            + ", barrierSynchronizationRegisterCapable=" + barrierSynchronizationRegisterCapable
            + ", capacityOnDemandMemoryCapable=" + capacityOnDemandMemoryCapable
            + ", capacityOnDemandProcessorCapable=" + capacityOnDemandProcessorCapable
            + ", customLogicalPartitionPlacementCapable=" + customLogicalPartitionPlacementCapable
            + ", electronicErrorReportingCapable=" + electronicErrorReportingCapable
            + ", externalIntrusionDetectionCapable=" + externalIntrusionDetectionCapable
            + ", firmwarePowerSaverCapable=" + firmwarePowerSaverCapable + ", hardwareDiscoveryCapable="
            + hardwareDiscoveryCapable + ", hardwareMemoryCompressionCapable=" + hardwareMemoryCompressionCapable
            + ", hardwareMemoryEncryptionCapable=" + hardwareMemoryEncryptionCapable
            + ", hardwarePowerSaverCapable=" + hardwarePowerSaverCapable + ", hostChannelAdapterCapable="
            + hostChannelAdapterCapable + ", hugePageMemoryCapable=" + hugePageMemoryCapable
            + ", hugePageMemoryOverrideCapable=" + hugePageMemoryOverrideCapable + ", iBMiCapable=" + iBMiCapable
            + ", iBMiLogicalPartitionMobilityCapable=" + iBMiLogicalPartitionMobilityCapable
            + ", iBMiLogicalPartitionSuspendCapable=" + iBMiLogicalPartitionSuspendCapable
            + ", iBMiNetworkInstallCapable=" + iBMiNetworkInstallCapable + ", iBMiRestrictedIOModeCapable="
            + iBMiRestrictedIOModeCapable + ", inactiveLogicalPartitionMobilityCapable="
            + inactiveLogicalPartitionMobilityCapable + ", intelligentPlatformManagementInterfaceCapable="
            + intelligentPlatformManagementInterfaceCapable + ", linuxCapable=" + linuxCapable
            + ", logicalHostEthernetAdapterCapable=" + logicalHostEthernetAdapterCapable
            + ", logicalPartitionAffinityGroupCapable=" + logicalPartitionAffinityGroupCapable
            + ", logicalPartitionAvailabilityPriorityCapable=" + logicalPartitionAvailabilityPriorityCapable
            + ", logicalPartitionEnergyManagementCapable=" + logicalPartitionEnergyManagementCapable
            + ", logicalPartitionProcessorCompatibilityModeCapable="
            + logicalPartitionProcessorCompatibilityModeCapable + ", logicalPartitionRemoteRestartCapable="
            + logicalPartitionRemoteRestartCapable + ", logicalPartitionSuspendCapable="
            + logicalPartitionSuspendCapable + ", memoryMirroringCapable=" + memoryMirroringCapable
            + ", microLogicalPartitionCapable=" + microLogicalPartitionCapable
            + ", powerVMLogicalPartitionSimplifiedRemoteRestartCapable="
            + powerVMLogicalPartitionSimplifiedRemoteRestartCapable + ", redundantErrorPathReportingCapable="
            + redundantErrorPathReportingCapable + ", remoteRestartToggleCapable=" + remoteRestartToggleCapable
            + ", serviceProcessorConcurrentMaintenanceCapable=" + serviceProcessorConcurrentMaintenanceCapable
            + ", serviceProcessorFailoverCapable=" + serviceProcessorFailoverCapable
            + ", sharedEthernetFailoverCapable=" + sharedEthernetFailoverCapable + ", sharedProcessorPoolCapable="
            + sharedProcessorPoolCapable + ", sRIOVCapable=" + sRIOVCapable
            + ", switchNetworkInterfaceMessagePassingCapable=" + switchNetworkInterfaceMessagePassingCapable
            + ", telnet5250ApplicationCapable=" + telnet5250ApplicationCapable + ", turboCoreCapable="
            + turboCoreCapable + ", virtualEthernetAdapterDynamicLogicalPartitionCapable="
            + virtualEthernetAdapterDynamicLogicalPartitionCapable + ", virtualEthernetQualityOfServiceCapable="
            + virtualEthernetQualityOfServiceCapable + ", virtualFiberChannelCapable=" + virtualFiberChannelCapable
            + ", virtualIOServerCapable=" + virtualIOServerCapable
            + ", virtualizationEngineTechnologiesActivationCapable="
            + virtualizationEngineTechnologiesActivationCapable + ", virtualServerNetworkingPhase2Capable="
            + virtualServerNetworkingPhase2Capable + ", virtualSwitchCapable=" + virtualSwitchCapable
            + ", virtualTrustedPlatformModuleCapable=" + virtualTrustedPlatformModuleCapable
            + ", vLANStatisticsCapable=" + vLANStatisticsCapable + ", virtualEthernetCustomMACAddressCapable="
            + virtualEthernetCustomMACAddressCapable + ", managementVLANForControlChannelCapable="
            + managementVLANForControlChannelCapable + "]";
    }
}
